Last Comment Bug 694213 - Make nsDisplayItem::GetBounds implementations always return an area in our coordinate space
: Make nsDisplayItem::GetBounds implementations always return an area in our co...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla10
Assigned To: Timothy Nikkel (:tnikkel)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-12 17:32 PDT by Matt Woodrow (:mattwoodrow)
Modified: 2011-10-22 06:07 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (4.57 KB, patch)
2011-10-12 17:54 PDT, Timothy Nikkel (:tnikkel)
roc: review+
Details | Diff | Splinter Review

Description Matt Woodrow (:mattwoodrow) 2011-10-12 17:32:00 PDT
Quite a few of the implementations of GetBounds are returning GetVisualOverflowArea, which is in our parents coordinate space if we are transformed.

We should be instead using GetVisualOverflowAreaRelativeToSelf().

This caused bug 692698, and may cause other bugs. It may not be possible for all of these frame types to have transforms, but it's probably good to be consistent.
Comment 1 Timothy Nikkel (:tnikkel) 2011-10-12 17:54:33 PDT
Created attachment 566709 [details] [diff] [review]
patch

I did an audit. This should be all instances of this mistake.
Comment 2 Timothy Nikkel (:tnikkel) 2011-10-17 17:57:36 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/8db8c9ce92c5
Comment 3 Timothy Nikkel (:tnikkel) 2011-10-17 22:43:10 PDT
Backed out
https://hg.mozilla.org/integration/mozilla-inbound/rev/64fb1f1154f6
there was a talos a11y mozafterpaint regression mail. Not sure if its real or this is at fault, but I backed out anyway.
Comment 4 Timothy Nikkel (:tnikkel) 2011-10-20 12:50:00 PDT
Pushed to inbound again
https://hg.mozilla.org/integration/mozilla-inbound/rev/18f70ede04b0
Comment 5 Timothy Nikkel (:tnikkel) 2011-10-20 19:01:23 PDT
There was a talos regression mail for a different suite (Talos Regression :( Dromaeo (DOM) decrease 2.56% on XP Mozilla-Inbound-Non-PGO) so I backed out again
https://hg.mozilla.org/integration/mozilla-inbound/rev/095174dc1a95
My feeling is that it is probably not real, I'll try landing again later.
Comment 6 Timothy Nikkel (:tnikkel) 2011-10-21 15:05:32 PDT
Relanded
https://hg.mozilla.org/integration/mozilla-inbound/rev/b4a2c466a8cf
Comment 7 Ed Morley [:emorley] 2011-10-22 06:07:52 PDT
https://hg.mozilla.org/mozilla-central/rev/b4a2c466a8cf

Note You need to log in before you can comment on or make changes to this bug.